Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 1294513004: [simd.js] Update to spec version 0.8.2. (Closed)

Created:
3 years, 11 months ago by bbudge
Modified:
3 years, 11 months ago
CC:
PaweĊ‚ Hajdan Jr., v8-dev
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[simd.js] Update to spec version 0.8.2. Adds Uint32x4, Uint16x8, and Uint8x16 types. Adds all functions in the current spec, except for loads and stores. LOG=Y BUG=v8:4124 Committed: https://crrev.com/4be6d37fd1ad0a6e0ea37da8863ae5169c2b89ba Cr-Commit-Position: refs/heads/master@{#30322} Committed: https://crrev.com/8a278a4cc429669c612debc596619a9ae9403e36 Cr-Commit-Position: refs/heads/master@{#30353}

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : Add horizontalSum, absoluteDifference, widenedAbsoluteDifference. #

Patch Set 4 : Tests need --harmony-simd flag. #

Patch Set 5 : Macroize. #

Patch Set 6 : Fix typo in object-printer.cc #

Patch Set 7 : #

Patch Set 8 : Rebase. #

Patch Set 9 : Latest SIMD.js Spec. #

Total comments: 1

Patch Set 10 : Rebase. #

Patch Set 11 : Rebase. #

Patch Set 12 : Rebase. Tests now configured with --harmony-simd. #

Patch Set 13 : Rebase. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+866 lines, -257 lines) Patch
M src/contexts.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +3 lines, -0 lines 0 comments Download
M src/harmony-simd.js View 1 2 3 4 29 chunks +351 lines, -147 lines 0 comments Download
M src/heap/heap.h View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +12 lines, -0 lines 0 comments Download
M src/messages.js View 1 2 3 4 5 6 7 8 9 10 3 chunks +25 lines, -2 lines 0 comments Download
M src/objects.h View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +9 lines, -0 lines 0 comments Download
M src/objects-inl.h View 1 2 3 4 5 6 7 8 9 2 chunks +6 lines, -0 lines 0 comments Download
M src/objects-printer.cc View 1 2 3 4 5 6 7 8 9 1 chunk +3 lines, -0 lines 0 comments Download
M src/runtime/runtime.h View 1 2 3 4 5 6 7 8 9 10 11 12 8 chunks +129 lines, -19 lines 0 comments Download
M src/runtime/runtime-simd.cc View 1 2 3 4 5 6 7 8 9 10 11 18 chunks +201 lines, -69 lines 0 comments Download
M test/cctest/test-heap.cc View 1 2 3 4 5 6 7 8 9 10 11 12 7 chunks +56 lines, -15 lines 0 comments Download
M test/cctest/test-heap-profiler.cc View 1 1 chunk +3 lines, -0 lines 0 comments Download
M test/cctest/test-simd.cc View 1 1 chunk +3 lines, -0 lines 0 comments Download
M test/mjsunit/harmony/simd.js View 1 6 chunks +63 lines, -3 lines 0 comments Download
M test/simdjs/testcfg.py View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 31 (12 generated)
bbudge
3 new types, and a bunch of functions. PTAL
3 years, 11 months ago (2015-08-17 19:55:06 UTC) #2
bbudge
I've split some of this patch into a separate issue: https://codereview.chromium.org/1302513004/ This CL depends on ...
3 years, 11 months ago (2015-08-18 17:49:29 UTC) #4
bbudge
On 2015/08/18 17:49:29, bbudge wrote: > I've split some of this patch into a separate ...
3 years, 11 months ago (2015-08-18 21:17:46 UTC) #5
bbudge
https://codereview.chromium.org/1294513004/diff/160001/test/simdjs/testcfg.py File test/simdjs/testcfg.py (right): https://codereview.chromium.org/1294513004/diff/160001/test/simdjs/testcfg.py#newcode47 test/simdjs/testcfg.py:47: "--harmony --harmony-simd", Note: we have only been testing the ...
3 years, 11 months ago (2015-08-19 02:48:00 UTC) #6
Benedikt Meurer
LGTM.
3 years, 11 months ago (2015-08-20 05:38:31 UTC) #7
bbudge-google
hpayer@chromium.org: Please review changes in
3 years, 11 months ago (2015-08-20 14:38:31 UTC) #9
bbudge-google
On 2015/08/20 14:38:31, bbudge-google wrote: > mailto:hpayer@chromium.org: Please review changes in HEAP
3 years, 11 months ago (2015-08-20 14:38:50 UTC) #10
Hannes Payer (out of office)
heap: lgtm
3 years, 11 months ago (2015-08-20 14:54:20 UTC) #11
Dan Ehrenberg
lgtm
3 years, 11 months ago (2015-08-20 18:29:05 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1294513004/180001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1294513004/180001
3 years, 11 months ago (2015-08-24 01:46:29 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1294513004/180001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1294513004/180001
3 years, 11 months ago (2015-08-24 08:34:05 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: v8_presubmit on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_presubmit/builds/5146)
3 years, 11 months ago (2015-08-24 08:35:30 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1294513004/200001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1294513004/200001
3 years, 11 months ago (2015-08-24 08:48:35 UTC) #23
commit-bot: I haz the power
Committed patchset #11 (id:200001)
3 years, 11 months ago (2015-08-24 09:13:07 UTC) #24
commit-bot: I haz the power
Patchset 11 (id:??) landed as https://crrev.com/4be6d37fd1ad0a6e0ea37da8863ae5169c2b89ba Cr-Commit-Position: refs/heads/master@{#30322}
3 years, 11 months ago (2015-08-24 09:13:19 UTC) #25
Michael Hablich
A revert of this CL (patchset #11 id:200001) has been created in https://codereview.chromium.org/1309513005/ by hablich@chromium.org. ...
3 years, 11 months ago (2015-08-24 10:06:12 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1294513004/240001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1294513004/240001
3 years, 11 months ago (2015-08-25 12:11:38 UTC) #29
commit-bot: I haz the power
Committed patchset #13 (id:240001)
3 years, 11 months ago (2015-08-25 12:35:12 UTC) #30
commit-bot: I haz the power
3 years, 11 months ago (2015-08-25 12:35:29 UTC) #31
Message was sent while issue was closed.
Patchset 13 (id:??) landed as
https://crrev.com/8a278a4cc429669c612debc596619a9ae9403e36
Cr-Commit-Position: refs/heads/master@{#30353}

Powered by Google App Engine
This is Rietveld 408576698